A real Linux
distribution
for phones
and other mobile devices
A real Linux distribution for phones
and other mobile devices
For Linux enthusiasts
Latest news: v22.06 SP2

phoc upgrade file conflicts with wlroots-phosh

March 30, 2022 1 min. read

A recent update to the phoc package in Alpine aports may result in an error when installing the upgrade:

...
(15/16) Upgrading phoc (0.13.0-r0 -> 0.13.0-r1)
ERROR: phoc-0.13.0-r1: trying to overwrite usr/lib/libwlroots.so.9 owned by wlroots-phosh-0.14.1-r0.
(16/16) Purging wlroots-phosh (0.14.1-r0)

If you encounter this, it can be resolved by simply running:

$ sudo apk fix

The phoc package will be fixed in aports soon.

Also see: